
This directory contains the different versions of the Slint logo.
It is (manually) copied into the website under https://slint-ui.com/logo/

## Branding Guidelines

### Logo

 * Do not modify the logo by changing the colors, removing the box or its gradient, changing of the aspect ration, 
   or other alterations to the corporate identity.

 * The logo with the dark box is no longer recommended to use. Prefer always using the logo with the white box.

 * When using the logo to refer to Slint from a location not dedicated to Slint, use the version of the logo with the full tagline
   ("The fast and easy UI toolkit") `slint-logo-full-light.svg` on light background  or `slint-logo-full-white.svg` on dark background.

   ![Slint logo full](./slint-logo-full-light.svg#gh-light-mode-only)![Slint logo full](./slint-logo-full-white.svg#gh-dark-mode-only)

 * When using the logo to refer to Slint for illustrative purposes, from a place where the viewer know already about Slint
   (e.g. because it is on the Slint website itself) use the simple version of the logo
   `slint-logo-simple-light.svg` on light background  or `slint-logo-simple-white.svg` on dark background.

   ![Slint logo simple](./slint-logo-simple-light.svg#gh-light-mode-only)![Slint logo simple](./slint-logo-simple-white.svg#gh-dark-mode-only)
   
 * For the rare cases where a square or circular logo is required (eg, social media avatar), `slint-logo-circle-light.svg`
   or `slint-logo-square-light.svg` can be used. Prefer the logo with the text on the right if possible.

   ![Slint logo circle](./slint-logo-circle-light.svg)   ![Slint logo square](./slint-logo-square-light.svg)

 * For an small icon where the text would not be visible otherwise, use `slint-logo-small-light.svg`

   ![Slint logo small](./slint-logo-small-light.svg)

### Color

The Slint blue color is #0025FF

### Name

The name of the product is ***Slint***, not ~~*Slint UI*~~. 

`slint-ui` or `slint_ui` is used as username for online service when (and only when) `slint` is already taken.

The company (legal entity) behind Slint is *SixtyFPS GmbH*. That name should only be used to refer to the company, 
including the *GmbH*. (*SixtyFPS* was the former name of the product but should no longer be used.)
Employees of SixtyFPS GmbH should still use the name *Slint* whenever possible (e.g. on conference badges)

